/* tslint:disable */
/**
* Enum of all supported languages.
* Check the [Snowball-Website](https://snowballstem.org/) for details.
*/
export enum Languages {
  Arabic,
  Danish,
  Dutch,
  English,
  Finnish,
  French,
  German,
  Greek,
  Hungarian,
  Italian,
  Portuguese,
  Romanian,
  Russian,
  Spanish,
  Swedish,
  Tamil,
  Turkish,
}
/**
* Wrapps a usable interface around the actual stemmer implementation
*/
export class Stemmer {
  free(): void;
/**
* Create a new stemmer from an algorithm
* @param {number} language 
* @returns {} 
*/
  constructor(language: number);
/**
* Stem a single word
* Please note, that the input is expected to be all lowercase (if that is applicable).
* @param {string} input 
* @returns {string} 
*/
  stem(input: string): string;
}
